/// <reference types="node" />
import { HTMLToPDFOptions } from '../types';
export default class HTMLToPDF {
    private _html;
    private _options;
    constructor(html: string, options?: HTMLToPDFOptions);
    html: string;
    options: HTMLToPDFOptions;
    convert(): Promise<Buffer>;
    static createDataUri: (data: string | Buffer, mimeType: string) => string;
    private mergeOptions;
}
